/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.jonas.admin.classloader.business {
import mx.controls.Alert;

import org.ow2.kerneos.common.business.AbsDelegateResponder;

/**
 * Delegate class to call java side.
 * @author Philippe Durieux
 */
public class MyDelegate extends AbsDelegateResponder  {

    private var service:Object = null;

    public function MyDelegate() {
        super();
        service = ClassLoader.getInstance().getServices().getRemoteObject("classLoaderService");
        if (service == null) {
            Alert.show("Cannot get classLoaderService", "ERROR");
        }
    }

    public function getReport(objectName : String) : void {
        var call : Object = service.getClassLoaderInfo(objectName);
        call.addResponder(this.responder);
    }
    public function getExportedPackages(resourceName: String, isClass : Boolean) : void {
        var call : Object = service.getSystemExportedPackages(resourceName, isClass);
        call.addResponder(this.responder);
    }
     public function getResources(objectName: String, resourceName : String): void {
        var call : Object = service.objectNameGetResources(objectName, resourceName);
        call.addResponder(this.responder);
    }
     public function loadClass(objectName: String, className : String): void {
        var call : Object = service.objectNameloadClass(objectName, className);
        call.addResponder(this.responder);
    }
    public function getStandaloneApplications(filterName : String, includeEAR : Boolean, includeEJBJAR : Boolean, includeWAR : Boolean): void {
        var call : Object = service.getApplications(filterName, includeEAR, includeEJBJAR, includeWAR);
        call.addResponder(this.responder);
    }
    public function getSystemResources(resourceName : String) : void {
        var call : Object = service.getSystemResources(resourceName);
        call.addResponder(this.responder);
    }
}
}
