/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010-2012 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.classloader.command {
import com.adobe.cairngorm.control.CairngormEventDispatcher;

import mx.controls.Alert;
import mx.rpc.events.FaultEvent;

import org.ow2.jonas.admin.classloader.business.MyDelegate;

import org.ow2.jonas.admin.classloader.model.ClassLoaderModelLocator;
import org.ow2.kerneos.common.event.KerneosNotificationEvent;

/**
 * @author Florent Benoit
 */
public class AbsCommand {
    protected var model:ClassLoaderModelLocator = ClassLoader.getInstance().getModel();
    protected var dispatcher:CairngormEventDispatcher = ClassLoader.getInstance().getDispatcher();
    protected var delegate:MyDelegate = model.getDelegate();

    public function AbsCommand() {
    }

    /**
     * Manage failure.
     */
    public function fault(event:Object):void {
        Alert.show("Error on the server side !!!" + event);
        // Retrieve the fault event
        var faultEvent:FaultEvent = FaultEvent(event);
        dispatcher.dispatchEvent(new KerneosNotificationEvent(KerneosNotificationEvent.KERNEOS_NOTIFICATION, "Error on the server side:" + faultEvent.message, KerneosNotificationEvent.ERROR));

    }
}
}