/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.classloader.view {
import flash.events.Event;
import flash.events.MouseEvent;

import mx.controls.LinkButton;
import mx.core.UIComponent;

import org.ow2.jonas.admin.classloader.model.ClassLoaderModelLocator;
import org.un.cava.birdeye.ravis.components.renderers.RendererIconFactory;
import org.un.cava.birdeye.ravis.components.renderers.nodes.IconNodeRenderer;

public class ClassLoaderGraphIconRenderer extends IconNodeRenderer {


	/**
	 * @inheritDoc
	 * */
	override protected function initComponent(e:Event):void {

		var img:UIComponent;

		/* initialize the upper part of the renderer */
		initTopPart();

		/* add an icon as specified in the XML, this should
		* be checked */
		img = RendererIconFactory.createIcon(this.data.data.@nodeIcon,32);
		img.toolTip = this.data.data.@toolTips;
		this.addChild(img);

		/* now add the filters to the circle */
		reffects.addDSFilters(img);

		/* now the link button */
		initLinkButton();
	}

    /**
     * this methods initialises and adds a
     * link button to the renderer
     * */
    override protected function initLinkButton() : LinkButton {


        lb = new MultiLineLinkButton();
        /* add node specific data;
         * here no check, but should be done */

		var tmpLabel : String = this.data.data.@name;

		// Automatic strip ?
		if (tmpLabel != null && tmpLabel.length > 9 && tmpLabel.indexOf("\n") == -1) {
	        lb.label = tmpLabel.substr(0,8) + "\n" + tmpLabel.substr(8);
		} else {
			lb.label = tmpLabel;
		}

        lb.width = 100;
//		lb.height = 50;


        lb.setStyle("fontWeight", "normal");
        lb.setStyle("fontSize", "9");

		lb.setStyle("rollOverColor", "0xEEFEE6");
		lb.setStyle("textSelectedColor", "0x2B333C");

        //lb.setStyle("skin", Class(null));

        lb.toolTip = this.data.data.@toolTips;
        lb.addEventListener(MouseEvent.CLICK, dispDetails);
		lb.addEventListener(MouseEvent.MOUSE_MOVE, dispDetails);

        this.addChild(lb);
        return lb;
    }

    protected function dispDetails(e : Event) : void {
        var model:ClassLoaderModelLocator = ClassLoader.getInstance().getModel();
		model.xmlSelectedClassLoader = this.data.data;
		model.xmlClassLoaderObjectNameLoadClassResult = null;
	    model.arrayClassLoaderObjectNameGetResourcesResult = null;
		model.selectedClassLoaderObjectName = this.data.data.elements("object-name");

		var oName : String = model.selectedClassLoaderObjectName;
		model.searchOK = true;
	}
}
}